import Vue from 'vue'
import Router from 'vue-router'
// fix vue-router NavigationDuplicated
const VueRouterPush = Router.prototype.push
Router.prototype.push = function push(location) {
    return VueRouterPush.call(this, location).catch(err => err)
}
const VueRouterReplace = Router.prototype.replace
Router.prototype.replace = function replace(location) {
    return VueRouterReplace.call(this, location).catch(err => err)
}
Vue.use(Router)

// 导出路由 在 main.js 里使用
const router = new Router({
    mode: 'history',
    base: process.env.BASE_URL,
    routes: [
        {
            path: '/',
            name: 'home',
            component: require("@v/WebsocketTest.vue").default,
            meta: {
                title: ''
            }
        },
    ]
})

/**
 * 路由拦截
 * 权限验证
 */
router.beforeEach(async (to, from, next) => {

    // 验证当前路由所有的匹配中是否需要有登录验证的
    if (to.matched.some(r => r.meta.auth)) {
        const token = ''
        if (token && token !== 'undefined') {
            next()
        } else {
            // 没有登录的时候跳转到登录界面
            // 携带上登陆成功之后需要跳转的页面完整路径
            next({
                name: 'login',
                query: {
                    redirect: to.fullPath
                }
            })
        }
    } else {
        // 不需要身份校验 直接通过
        next()
    }
})

router.afterEach(() => {

})

export default router
