const path = require("path");

function resolve(dir) {
    return path.join(__dirname, dir);
}
// 基础路径 注意发布之前要先修改这里
let publicPath = process.env.VUE_APP_PUBLIC_PATH || '/'
const Timestamp = new Date().getTime()
module.exports = {
    // 根据你的实际情况更改这里
    publicPath,
    lintOnSave: true,
    productionSourceMap: process.env.NODE_ENV === 'production' ? false : true,
    devServer: {
        host: process.env.VUE_APP_DEV_HOST?process.env.VUE_APP_DEV_HOST:'',
        port: process.env.VUE_APP_DEV_PORT?process.env.VUE_APP_DEV_PORT:'8080',
        https: false,
        hotOnly: false,
        inline: true,
        disableHostCheck: true,
        proxy: {
            '^/api': {
                target: process.env.VUE_APP_API_DEV || '',
                ws: true,
                changeOrigin: true,
                pathRewrite: {
                    '^/api': ''
                }
            },
            '^/v1': {
                target: process.env.VUE_APP_API_MOCK || '',
                ws: true,
                changeOrigin: true,
                pathRewrite: {
                    '^/v1': ''
                }
            }
        }
    },
    // 默认设置: https://github.com/vuejs/vue-cli/tree/dev/packages/%40vue/cli-service/lib/config/base.js
    chainWebpack: config => {

        // 判断环境加入模拟数据
        const entry = config.entry('app')
        if (process.env.VUE_APP_BUILD_MODE !== 'NOMOCK') {
            entry
                .add('@/mock')
                .end()
        }
        config.resolve.alias
            .set("@", resolve("src"))
            .set("~", resolve("src/assets"))
            .set("@c", resolve("src/components"))
            .set("@v", resolve("src/views"))
            .set("@p", resolve("public"));
    },
    configureWebpack: { // webpack 配置
        output: { // 输出重构  打包编译后的 文件名称  【模块名称.版本号.时间戳】
            filename: `[name].${process.env.VUE_APP_Version}.${Timestamp}.js`,
            chunkFilename: `[name].${process.env.VUE_APP_Version}.${Timestamp}.js`
        },
    },
    pages: {
        // 只有entry属性时，直接用字符串表示模块入口  多页面
        func: 'src/modules/func/func.js',
        index: "src/main.js"
    }
}
